RDKit: RDKit::FragCatalogEntry Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
RDKit::FragCatalogEntry Class Reference

`#include <FragCatalogEntry.h>`

Inheritance diagram for RDKit::FragCatalogEntry:

## Public Member Functions
| FragCatalogEntry ()
| FragCatalogEntry (const ROMol *omol, const PATH_TYPE &path, const MatchVectType &aidToFid)
| FragCatalogEntry (const std::string &pickle)
| ~FragCatalogEntry ()
std::string | getDescription () const
| returns a text description of this entry More...
void | setDescription (const std::string &val)
void | setDescription (const FragCatParams *params)
bool | match (const FragCatalogEntry *other, double tol) const
Subgraphs::DiscrimTuple | getDiscrims () const
unsigned int | getOrder () const
const INT_INT_VECT_MAP & | getFuncGroupMap () const
std::string | getSmarts ()
template<typename T >
void | setProp (const char *key, T &val) const
template<typename T >
void | setProp (const std::string &key, T &val) const
void | setProp (const char *key, int val) const
void | setProp (const std::string &key, int val) const
void | setProp (const char *key, float val) const
void | setProp (const std::string &key, float val) const
void | setProp (const std::string &key, std::string &val) const
template<typename T >
void | getProp (const char *key, T &res) const
template<typename T >
void | getProp (const std::string &key, T &res) const
bool | hasProp (const char *key) const
bool | hasProp (const std::string &key) const
void | clearProp (const char *key) const
void | clearProp (const std::string &key) const
void | toStream (std::ostream &ss) const
| serializes (pickles) to a stream More...
std::string | Serialize () const
| returns a string with a serialized (pickled) representation More...
void | initFromStream (std::istream &ss)
| initializes from a stream pickle More...
void | initFromString (const std::string &text)
| initializes from a string pickle More...
Public Member Functions inherited from RDCatalog::CatalogEntry
virtual | ~CatalogEntry ()=0
void | setBitId (int bid)
| sets our bit Id More...
int | getBitId () const
| returns our bit Id More...

## Detailed Description

Definition at line 26 of file FragCatalogEntry.h.

## Constructor & Destructor Documentation

RDKit::FragCatalogEntry::FragCatalogEntry | ( |  | ) |
| inline

Definition at line 28 of file FragCatalogEntry.h.

References RDKit::EnumerationStrategyPickler::pickle(), and RDCatalog::CatalogEntry::setBitId().

RDKit::FragCatalogEntry::FragCatalogEntry | ( | const ROMol * | omol,
|  | const PATH_TYPE & | path,
|  | const MatchVectType & | aidToFid
| ) |  |

RDKit::FragCatalogEntry::FragCatalogEntry | ( | const std::string & | pickle | ) |

RDKit::FragCatalogEntry::~FragCatalogEntry | ( |  | ) |
| inline

Definition at line 37 of file FragCatalogEntry.h.

## Member Function Documentation

void RDKit::FragCatalogEntry::clearProp | ( | const char * | key | ) | const
| inline

Definition at line 108 of file FragCatalogEntry.h.

References RDKit::Dict::clearVal().

void RDKit::FragCatalogEntry::clearProp | ( | const std::string & | key | ) | const
| inline

Definition at line 110 of file FragCatalogEntry.h.

References clearProp(), initFromStream(), initFromString(), Serialize(), and toStream().

Referenced by clearProp().

std::string RDKit::FragCatalogEntry::getDescription | ( |  | ) | const
| inlinevirtual

returns a text description of this entry

Implements RDCatalog::CatalogEntry.

Definition at line 46 of file FragCatalogEntry.h.

Subgraphs::DiscrimTuple RDKit::FragCatalogEntry::getDiscrims | ( |  | ) | const

Referenced by setDescription().

const INT_INT_VECT_MAP& RDKit::FragCatalogEntry::getFuncGroupMap | ( |  | ) | const
| inline

Definition at line 61 of file FragCatalogEntry.h.

unsigned int RDKit::FragCatalogEntry::getOrder | ( |  | ) | const
| inline

Definition at line 59 of file FragCatalogEntry.h.

References RDKit::ROMol::getNumBonds().

template<typename T >

void RDKit::FragCatalogEntry::getProp | ( | const char * | key,
|  | T & | res
| ) |  | const
| inline

Definition at line 94 of file FragCatalogEntry.h.

References RDKit::Dict::getVal().

Referenced by getProp().

template<typename T >

void RDKit::FragCatalogEntry::getProp | ( | const std::string & | key,
|  | T & | res
| ) |  | const
| inline

Definition at line 98 of file FragCatalogEntry.h.

References getProp().

std::string RDKit::FragCatalogEntry::getSmarts | ( |  | ) |
| inline

Definition at line 64 of file FragCatalogEntry.h.

bool RDKit::FragCatalogEntry::hasProp | ( | const char * | key | ) | const
| inline

Definition at line 102 of file FragCatalogEntry.h.

References RDKit::Dict::hasVal().

bool RDKit::FragCatalogEntry::hasProp | ( | const std::string & | key | ) | const
| inline

Definition at line 106 of file FragCatalogEntry.h.

References hasProp().

Referenced by hasProp().

void RDKit::FragCatalogEntry::initFromStream | ( | std::istream & | ss | ) |
| virtual

initializes from a stream pickle

Implements RDCatalog::CatalogEntry.

Referenced by clearProp().

void RDKit::FragCatalogEntry::initFromString | ( | const std::string & | text | ) |
| virtual

initializes from a string pickle

Implements RDCatalog::CatalogEntry.

Referenced by clearProp().

bool RDKit::FragCatalogEntry::match | ( | const FragCatalogEntry * | other,
|  | double | tol
| ) |  | const

Referenced by setDescription().

std::string RDKit::FragCatalogEntry::Serialize | ( |  | ) | const
| virtual

returns a string with a serialized (pickled) representation

Implements RDCatalog::CatalogEntry.

Referenced by clearProp().

void RDKit::FragCatalogEntry::setDescription | ( | const std::string & | val | ) |
| inline

Definition at line 48 of file FragCatalogEntry.h.

References getDiscrims(), and match().

void RDKit::FragCatalogEntry::setDescription | ( | const FragCatParams * | params | ) |

template<typename T >

void RDKit::FragCatalogEntry::setProp | ( | const char * | key,
|  | T & | val
| ) |  | const
| inline

Definition at line 68 of file FragCatalogEntry.h.

References RDKit::Dict::setVal().

Referenced by setProp().

template<typename T >

void RDKit::FragCatalogEntry::setProp | ( | const std::string & | key,
|  | T & | val
| ) |  | const
| inline

Definition at line 73 of file FragCatalogEntry.h.

References setProp().

void RDKit::FragCatalogEntry::setProp | ( | const char * | key,
|  | int | val
| ) |  | const
| inline

Definition at line 77 of file FragCatalogEntry.h.

References RDKit::Dict::setVal().

void RDKit::FragCatalogEntry::setProp | ( | const std::string & | key,
|  | int | val
| ) |  | const
| inline

Definition at line 79 of file FragCatalogEntry.h.

References setProp().

void RDKit::FragCatalogEntry::setProp | ( | const char * | key,
|  | float | val
| ) |  | const
| inline

Definition at line 83 of file FragCatalogEntry.h.

References RDKit::Dict::setVal().

void RDKit::FragCatalogEntry::setProp | ( | const std::string & | key,
|  | float | val
| ) |  | const
| inline

Definition at line 85 of file FragCatalogEntry.h.

References setProp().

void RDKit::FragCatalogEntry::setProp | ( | const std::string & | key,
|  | std::string & | val
| ) |  | const
| inline

Definition at line 89 of file FragCatalogEntry.h.

References setProp().

void RDKit::FragCatalogEntry::toStream | ( | std::ostream & | ss | ) | const
| virtual

serializes (pickles) to a stream

Implements RDCatalog::CatalogEntry.

Referenced by clearProp().

The documentation for this class was generated from the following file:

- FragCatalogEntry.h